
/*! ============================================================================= */

/*! Scroll down button with vertical line */

/*! ============================================================================= */
.vc-intro-scroll-button {
	display: inline-block;
	color: inherit;
	letter-spacing: 2px;
	font-size: 12px;
	transition: opacity 250ms;
	line-height: 1;
	vertical-align: bottom;
}

.vc-intro-scroll-button:before {
	content: "";
	display: inline-block;
	height: 50px;
	width: 1px;
	background: currentColor;
	margin-bottom: 3px;
	-webkit-animation: vc-intro-scroll-button-line-effect 1.5s infinite;
	animation: vc-intro-scroll-button-line-effect 1.5s infinite;
}

.vc-intro-scroll-button:hover {
	color: inherit;
	text-decoration: none;
	opacity: .5;
}

.vc-intro-scroll-button span {
	display: block;
}

@-webkit-keyframes vc-intro-scroll-button-line-effect {
	0% {
		transform: translate(0, -20px);
		opacity: 0;
	}
	
	50% {
		opacity: 1;
	}
	
	100% {
		transform: translate(0, 0);
		opacity: 0;
	}
}

@keyframes vc-intro-scroll-button-line-effect {
	0% {
		transform: translate(0, -20px);
		opacity: 0;
	}
	
	50% {
		opacity: 1;
	}
	
	100% {
		transform: translate(0, 0);
		opacity: 0;
	}
}
